pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
CK_TOKEN_INFO Struct Reference

`#include <pkcs11t.h>`

## Data Fields

CK_UTF8CHAR | label [32]
CK_UTF8CHAR | manufacturerID [32]
CK_UTF8CHAR | model [16]
CK_CHAR | serialNumber [16]
CK_FLAGS | flags
CK_ULONG | ulMaxSessionCount
CK_ULONG | ulSessionCount
CK_ULONG | ulMaxRwSessionCount
CK_ULONG | ulRwSessionCount
CK_ULONG | ulMaxPinLen
CK_ULONG | ulMinPinLen
CK_ULONG | ulTotalPublicMemory
CK_ULONG | ulFreePublicMemory
CK_ULONG | ulTotalPrivateMemory
CK_ULONG | ulFreePrivateMemory
CK_VERSION | hardwareVersion
CK_VERSION | firmwareVersion
CK_CHAR | utcTime [16]

## Detailed Description

Definition at line 142 of file pkcs11t.h.

## Field Documentation

CK_VERSION firmwareVersion

Definition at line 168 of file pkcs11t.h.

CK_FLAGS flags

Definition at line 149 of file pkcs11t.h.

CK_VERSION hardwareVersion

Definition at line 167 of file pkcs11t.h.

CK_UTF8CHAR label[32]

Definition at line 145 of file pkcs11t.h.

CK_UTF8CHAR manufacturerID[32]

Definition at line 146 of file pkcs11t.h.

CK_UTF8CHAR model[16]

Definition at line 147 of file pkcs11t.h.

CK_CHAR serialNumber[16]

Definition at line 148 of file pkcs11t.h.

CK_ULONG ulFreePrivateMemory

Definition at line 163 of file pkcs11t.h.

CK_ULONG ulFreePublicMemory

Definition at line 161 of file pkcs11t.h.

CK_ULONG ulMaxPinLen

Definition at line 158 of file pkcs11t.h.

CK_ULONG ulMaxRwSessionCount

Definition at line 156 of file pkcs11t.h.

CK_ULONG ulMaxSessionCount

Definition at line 154 of file pkcs11t.h.

CK_ULONG ulMinPinLen

Definition at line 159 of file pkcs11t.h.

CK_ULONG ulRwSessionCount

Definition at line 157 of file pkcs11t.h.

CK_ULONG ulSessionCount

Definition at line 155 of file pkcs11t.h.

CK_ULONG ulTotalPrivateMemory

Definition at line 162 of file pkcs11t.h.

CK_ULONG ulTotalPublicMemory

Definition at line 160 of file pkcs11t.h.

CK_CHAR utcTime[16]

Definition at line 169 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- pkcs11t.h